import type CSSRuntime from '@master/css-runtime';
import './types/global';
export declare type HookEventCallbackMap = {
    'mutated': (context: {
        classCounts: Map<string, number>;
        cssRuntime: CSSRuntime;
        records: MutationRecord[];
    }) => void;
};
export declare type HookEventNames = keyof HookEventCallbackMap;
declare const devToolsHook: {
    listeners: Map<string, Set<(...args: any[]) => void>>;
    on<E extends HookEventNames>(event: E, callback: HookEventCallbackMap[E]): void;
    off<E extends HookEventNames>(event: E, callback: HookEventCallbackMap[E]): void;
    emit<E extends HookEventNames>(event: E, ...args: Parameters<HookEventCallbackMap[E]>): void;
};
export declare type DevToolsHook = typeof devToolsHook;
export default devToolsHook;
